Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.decoder.tiff
Class TIFDecoder

    java.lang.Object
      |
      +--com.sun.jimi.core.util.ProgressMonitorSupport
            |
            +--com.sun.jimi.core.compat.JimiDecoderBase
                  |
                  +--com.sun.jimi.core.decoder.tiff.TIFDecoder

public class TIFDecoder
extends JimiDecoderBase

This class provides the implementation for a JimiDecoder which decodes images from files stored in the TIFF file format. Currently supports loading of uncompressed TIFFs of the following formats. Black & White Palette RGB Support also for BLACK and White images compressed with the various CCITT optoins. No support for 2D encoding [this is rare] in T4 CCITT No support for the Uncompressed flag option for T4 CCITT No support for "uncompressed" optoin for T6 CCITT No support for "raw Group 3 encoded fax file" - no TIFF header no support Support for Packbits compressed image formats. Support for LZW compressed image formats

Field Summary
`short` | `TIF_HEADER_SIZE` Lenght of the TIFF file format header.
`short` | `TIF_SIG_BE` Signature at front of TIFF File if file written from Big Endian environment
`short` | `TIF_SIG_LE` Signature at front of TIFF File if file written from Little Endian environment
`short` | `TIF_VERSION` Version field of TIFF file format files

Fields inherited from class com.sun.jimi.core.compat.JimiDecoderBase
`busyDecoding, cleanupCommands, currentController, currentHandle, decodingLock, error, ERROR, factory, finishedDecoding, IMAGEAVAIL, INFOAVAIL, input, jimiImage, MOREIMAGES, MULTIIMAGE, UNKNOWNCOUNT`

Fields inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`currentProgressLevel, progressListener`

Constructor Summary
`TIFDecoder()`

Method Summary
`void` | `decode(com.sun.jimi.core.decoder.tiff.IFD ifd)`
`boolean` | `driveDecoder()`
`void` | `freeDecoder()`
`int` | `getCapabilities()`
`AdaptiveRasterImage` | `getJimiImage()`
`int` | `getState()`
`void` | `initDecoder(java.io.InputStream in, AdaptiveRasterImage ji)`
`void` | `skipImage()`

Methods inherited from class com.sun.jimi.core.compat.JimiDecoderBase
`addCleanupCommand, createAdaptiveRasterImage, createAdaptiveRasterImage, decodeNextImage, finishedDecode, getNumberOfImages, initDecoding, jimiImageCreated, mustWaitForOptions, run, setFinished, usesChanneledData, waitReady`

Methods inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`setProgress, setProgressListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TIF_SIG_BE

    public final short TIF_SIG_BE

  Signature at front of TIFF File if file written from Big Endian environment

### TIF_SIG_LE

    public final short TIF_SIG_LE

  Signature at front of TIFF File if file written from Little Endian environment

### TIF_VERSION

    public final short TIF_VERSION

  Version field of TIFF file format files

### TIF_HEADER_SIZE

    public final short TIF_HEADER_SIZE

  Lenght of the TIFF file format header. Signature + version + IFD offset

Constructor Detail

### TIFDecoder

    public TIFDecoder()

Method Detail

### initDecoder

    public void initDecoder(java.io.InputStream in,
                            AdaptiveRasterImage ji)
                     throws JimiException

  Overrides:
    initDecoder in class JimiDecoderBase

### skipImage

    public void skipImage()
                   throws JimiException

  Overrides:
    skipImage in class JimiDecoderBase

### driveDecoder

    public boolean driveDecoder()
                         throws JimiException

  Overrides:
    driveDecoder in class JimiDecoderBase

### freeDecoder

    public void freeDecoder()
                     throws JimiException

  Overrides:
    freeDecoder in class JimiDecoderBase

### getState

    public int getState()

  Overrides:
    getState in class JimiDecoderBase

### getJimiImage

    public AdaptiveRasterImage getJimiImage()

### decode

    public void decode(com.sun.jimi.core.decoder.tiff.IFD ifd)
                throws JimiException,
                       java.io.IOException

### getCapabilities

    public int getCapabilities()

  Overrides:
    getCapabilities in class JimiDecoderBase

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD